> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-stock/catalogo.md).

# Catálogo

## Stock

Permite obtener información acerca del stock de los artículos en Fenicio.

<table><thead><tr><th width="115">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td>/API_V1/catalogo/stocks</td></tr></tbody></table>

## Request

Se deberá realizar una consulta `GET` a la URL correspondiente, incluyendo los parámetros que se deseen.

## Parámetros

<table><thead><tr><th width="110">Clave</th><th width="84">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>pag</code></strong></td><td>Int(3)</td><td><p>El número de la página que se quiere recuperar. </p><p><code>min: 1</code></p><p><code>max: null</code> </p><p><code>default: 1</code></p></td></tr><tr><td><strong><code>tot</code></strong></td><td>Int(3)</td><td><p>Cantidad de ítems por página. </p><p><code>min: 1</code> </p><p><code>max: 500</code> </p><p><code>default: 50</code></p></td></tr><tr><td><strong><code>skus</code></strong></td><td>Array</td><td><p>Opcional. Permite filtrar el listado de presentaciones pasando un listado de skus Fenicio. </p><p>Estos skus se pueden obtener desde el parámetro “id” de cada item dentro del feed Fenicio (<a href="https://guia.fenicio.help/guias-practicas/feeds">https://guia.fenicio.help/guias-practicas/feeds</a>).</p></td></tr></tbody></table>

### Ejemplos

* https\://{example.com}/API\_V1/catalogo/stocks
* https\://{example.com}/API\_V1/catalogo/stocks?skus\[]=1:test1:test1:U:1\&skus\[]=1:test2:test2:U:1

## Response

| Clave        | Tipo                       | Descripción                                                        |
| ------------ | -------------------------- | ------------------------------------------------------------------ |
| **`error`**  | Boolean                    | Valor booleano que indica si se generó algún error en la consulta. |
| **`msj`**    | String                     | Mensaje descriptivo sobre la consulta realizada.                   |
| **`totAbs`** | Int                        | Cantidad absoluta (no por página) de artículos recuperados.        |
| **`stocks`** | List <[**Stock**](#stock)> | Listado de stock.                                                  |

### Stock

| Clave        | Tipo   | Descripción                                   |
| ------------ | ------ | --------------------------------------------- |
| **`sku_fn`** | String | SKU fenicio del artículo                      |
| **`stock`**  | number | Cantidad de unidades disponibles para el SKU. |

## Ejemplo

<pre class="language-json"><code class="lang-json">{
 "error": false,
 "msj": "",
<strong> "totAbs": 2,
</strong> "stocks": [
   {
      "sku_fn": "1:test1:test1:U:1",
      "stock": 2,
   },
   {
      "sku_fn": "1:test2:test2:U:1",
      "stock": 8,
   }
 ]
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-stock/catalogo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
